/
Upsert a Delivery by busi...
Create or update a Delivery Order.
This endpoint allows you to update (default behaviour) or insert a Delivery Order. The caller is responsible for providing a unique business identifier for each Order, regardless of order type. If this business identifier can't be found, a new order will be created. If a Delivery order with the given business identifier can be found then it will be updated.
Security
clientCredentials
The RFC7240 Prefer header indicates that a particular server behavior is preferred by the client but is not required for successful completion of the request (see RFC 7240).
The following behavior is supported by this API:
- return=<minimal|representation> is used to suggest the server to return using status code 204 without a resource in the response body (minimal) or using status codes 200 or 201 with the resource in the response body on success (representation).
- Mock serverhttps://developer.conundra.eu/_mock/apis/order-book/order-book-api/orders/deliveries/{business_id}
- Order Book API Productionhttps://api.conundra.eu/orderbook/v1/orders/deliveries/{business_id}
Comprehensive example of a delivery order using site location
{ "order": { "order_category": "orderCategoryA", "description": "a description", "capacities": [ … ], "mandatory": true, "requirements": { … }, "lifo_groups": [ … ], "outsourcing_cost": 0, "custom_data": { … }, "plan_group": "a plan group", "client": "companyId", "max_time_in_vehicle": { … } }, "delivery": { "site_location": { … }, "stop_time": { … }, "service_time": "PT5M", "sequence": 1, "time_frame": { … }, "color": "red", "labels": [ … ], "custom_data": { … } } }
Response
{ "order": { "business_id": "orderA", "order_category": "orderCategoryA", "description": "a description", "capacities": [ … ], "mandatory": true, "requirements": { … }, "lifo_groups": [ … ], "outsourcing_cost": 0, "custom_data": { … }, "plan_group": "a plan group", "client": "companyId", "max_time_in_vehicle": { … } }, "delivery": { "site_location": { … }, "visit_location": { … }, "stop_time": { … }, "service_time": "PT5M", "sequence": 1, "time_frame": { … }, "color": "red", "labels": [ … ], "custom_data": { … } } }